#ifndef _BREAKOUTEVENTS_H_
#define _BREAKOUTEVENTS_H_

#include "IEvent.h"

class BreakoutStartGameEvent : public IEvent
{
	public:
	BreakoutStartGameEvent() { m_eventName = cEventName; }
	~BreakoutStartGameEvent() {}

	virtual HashString GetEventType() { return m_eventName; }

	const static HashString cEventName;

	protected:
	HashString m_eventName;
};

class BreakoutPauseGameEvent : public IEvent
{
	public:
	BreakoutPauseGameEvent() { m_eventName = cEventName; }
	~BreakoutPauseGameEvent() {}

	virtual HashString GetEventType() { return m_eventName; }

	const static HashString cEventName;

	protected:
	HashString m_eventName;
};

class BreakoutUnpauseGameEvent : public IEvent
{
	public:
	BreakoutUnpauseGameEvent() { m_eventName = cEventName; }
	~BreakoutUnpauseGameEvent() {}

	virtual HashString GetEventType() { return m_eventName; }

	const static HashString cEventName;

	protected:
	HashString m_eventName;
};

class BreakoutGameOverEvent : public IEvent
{
	public:
	BreakoutGameOverEvent() { m_eventName = cEventName; }
	~BreakoutGameOverEvent() {}

	virtual HashString GetEventType() { return m_eventName; }

	const static HashString cEventName;

	protected:
	HashString m_eventName;
};

#endif
